Subject: linux-next: manual merge of the selinux tree with the vfs tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 18 Dec 2018 14:48:58 +1100

Hi Paul,

Today's linux-next merge of the selinux tree got a conflict in:

  security/selinux/hooks.c

between commit:

  2b8073b14c19 ("LSM: split ->sb_set_mnt_opts() out of ->sb_kern_mount()")

from the vfs tree and commit:

  2cbdcb882f97 ("selinux: always allow mounting submounts")

from the selinux tree.

I fixed it up (I used the vfs tree version, plus added the following
patch but I am not sure if it is correct as the latter patch only affected
selinux) and can carry the fix as necessary. This is now fixed as far as
linux-next is concerned, but any non trivial conflicts should be mentioned
to your upstream maintainer when your tree is submitted for merging.
You may also want to consider cooperating with the maintainer of the
conflicting tree to minimise any particularly complex conflicts.

From: Stephen Rothwell <[email-masked]>
Date: Tue, 18 Dec 2018 14:44:13 +1100
Subject: [PATCH] update for "selinux: always allow mounting submounts"

The check moved.

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 fs/super.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/fs/super.c b/fs/super.c
index 135b147c5bd3..a4505144f95e 100644
--- a/fs/super.c
+++ b/fs/super.c
@@ -1527,7 +1527,7 @@ int vfs_get_tree(struct fs_context *fc)
 	if (ret)
 		goto err_sb;
 
-	if (!(fc->sb_flags & MS_KERNMOUNT)) {
+	if (!(fc->sb_flags & (MS_KERNMOUNT | MS_SUBMOUNT))) {
 		ret = security_sb_kern_mount(sb);
 		if (ret)
 			goto err_sb;
-- 
2.19.1

-- 
Cheers,
Stephen Rothwell